<div class="card pb-2">



<div class="card-body container-card">
  <div id="general-informations-body" class="collapse show">
    <div class="p-0">
      <!-- account pp -->
      <form *ngIf="accountType=='PP'" [formGroup]="accountPPFormGroup" autocomplete="off" class="mt-2">
 
        <div class="card-header ibox-bloc  d-flex justify-content-between">

          <label class="w-auto legend left-and-right"><i class="ri-play-fill"></i> {{'ACCOUNT_DETAILS.INFOS'|translate}}</label>
      
          <app-card-toolbar [collapseTarget]="'infos'"></app-card-toolbar>
      
        </div>

        <fieldset id="infos" class="border form collapse show ">
          <!-- 1 bloc -->
          <div class="row">
            <!-- CIVILITE -->
            <div class="col-md-3 line  mt-0">
              <label >{{'FIELD.COMPTE_PP.CIVILITE'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('civilite')?.value}}</div>
            </div>
            <!-- PRENOM -->
            <div class="col-md-3 line  mt-0">
              <label >{{'FIELD.COMPTE_PP.NOM'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('lastName')?.value}}</div>
            </div>
            <!-- NOM -->
            <div class="col-md-3 line  mt-0">
              <label >{{'FIELD.COMPTE_PP.PRENOM'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('firstName')?.value}}</div>
            </div>
            <!-- profession -->
            <div class="col-md-3 line  mt-0">
              <label >{{'FIELD.COMPTE_PP.PROFESSION'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('profession')?.value}}</div>
            </div>
          </div>
          <!-- 2 bloc -->
          <div class="row">
            <!-- PI -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.PIECE_IDENTITE'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('pieceIdentite')?.value}}</div>
            </div>
            <!-- NumPi-->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.NUM_PI'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('numPi')?.value}}</div>
            </div>
            <!-- date d'experation pi -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.DATE_EXP_PI'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('dateExpPI')?.value}}</div>
            </div>
            <!-- SECTEUR -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.SECT_ACTIVITE'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('secteur')?.value}}</div>
            </div>
          </div>
          <!-- 3 bloc -->
          <div class="row">
            <!-- code postal -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.CODE_POSTAL'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('codePostale')?.value}}</div>
            </div>
            <!-- nationalite -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.NATIONALITE'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('nationality')?.value}}</div>
            </div>
            <!-- pays -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.PAYS'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('pays')?.value}}</div>
            </div>
            <!-- adress -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.ADRESSE'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('address')?.value}}</div>
            </div>
          </div>
          <!-- 4 bloc -->
          <div class="row">
            <!--phone  -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.MOBILE'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('mobile')?.value}}</div>
            </div>
            <!-- email -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.EMAIL'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('email')?.value}}</div>
            </div>
            <!-- COMPLET INFORMATION -->
            <!-- adress 2 -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.ADRESSE2'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('address2')?.value}}</div>
            </div>
            <!-- --mobile2 -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.MOBILE2'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('mobile2')?.value}}</div>
            </div>

          </div>
          <!-- 5 bloc -->
          <div class="row">
            <!-- date de naissance -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.DATE_NAIS'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('dateOfBirth')?.value}}</div>
            </div>
            <!-- nom pere -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.NOM_PERE'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('fatherFullName')?.value}}</div>
            </div>
            <!-- --nom mere -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.NOM_MERE'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('motherFullName')?.value}}</div>
            </div>
            <!-- --residence type -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.RESIDENCE_TYPE'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('residenceCountry')?.value}}</div>
            </div>
          </div>
        </fieldset>
        <div class="card-header ibox-bloc  d-flex justify-content-between">

          <label class="w-auto legend left-and-right"><i class="ri-play-fill"></i> {{'ACCOUNT_DETAILS.ACTIVITE'|translate}}</label>

          <app-card-toolbar [collapseTarget]="'activite'"></app-card-toolbar>
      
        </div>
        <fieldset id="activite" class="border form  collapse show ">
          <!-- 1 bloc -->
          <div class="row">
            <!-- capacite -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.CAPACITE_FINANC'|translate}}</label>
              <div class="  font-weight-bold" >{{accountPPFormGroup?.get('capaciteFinanciere')?.value}}</div>
            </div>
            <!-- type produit -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.TYPE_PROD'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('typeProduit')?.value}}</div>
            </div>
            <!-- univert -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.UNIVERS_INVT'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('produitSouhaites')?.value}}</div>
            </div>
            <!-- instrument -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.INSTRU'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('secteurSouhaites')?.value}}</div>
            </div>
          </div>
          <!-- 2 bloc -->
          <div class="row">
            <!-- origine fond -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.ORIGINE_FONDS'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('origineFonds')?.value}}</div>
            </div>
            <!-- profil inv -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.PROFIL_INVT'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('profilInvestissement')?.value}}</div>
            </div>
            <!-- placement -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.HORIZ_PLACEMENT'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('horizonPlacement')?.value}}</div>
            </div>
            <!-- niveau invistisement -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.NIV_INVT'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('niveauInv')?.value}}</div>
            </div>
          </div>
          <!-- 3 bloc -->
          <div class="row">
            <!-- objectif inv -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.OBJ_INVT'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('objectifInvestissement')?.value}}</div>
            </div>
            <!-- nationalite usa -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.NATIONALITE_USA'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('nationaliteUSA')?.value}}</div>
            </div>
            <!-- compte usa -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.COMPTE_USA'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('compteBancaireUSA')?.value}}</div>
            </div>
            <!-- adress usa -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.ADRESS_USA'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('adresseUSA')?.value}}</div>
            </div>
          </div>
          <!-- 4 bloc -->
          <div class="row">
            <!-- green usa -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.GREEN_CARD_USA'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('greenCardUSA')?.value}}</div>
            </div>
            <!-- fiscal usa -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.ID_FISCAL_USA'|translate}}</label>
              <div class="  font-weight-bold" >{{accountPPFormGroup?.get('idFiscalUSA')?.value}}</div>
            </div>
            <!-- tel usa -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.TEL_USA'|translate}}</label>
              <div class="  font-weight-bold">{{accountPPFormGroup?.get('ligneTelephoneUSA')?.value}}</div>
            </div>
          </div>
        </fieldset>
      </form>
      <!-- end account pp -->

      <!-- account pm -->
      <form *ngIf="accountType=='PM'" [formGroup]="accountPMFormGroup" autocomplete="off">
        <div class="card-header ibox-bloc  d-flex justify-content-between">

          <label class="w-auto legend left-and-right"><i class="ri-play-fill"></i> {{'ACCOUNT_DETAILS.INFOS'|translate}}</label>
      
          <app-card-toolbar [collapseTarget]="'infos'"></app-card-toolbar>
      
        </div>
        <fieldset id="infos" class="form border collapse show ">
          <!-- bloc 1 -->
          <div class="row">
            <!-- raison social -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.RAISON_SOCIAL'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('socialReason')?.value}}</div>
            </div>
            <!-- form juridique -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.FORME_JURI'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('legalForm')?.value}}</div>
            </div>
            <!-- ICE -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.ICE'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('ice')?.value}}</div>
            </div>
            <!-- pays -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.PAYS'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('pays')?.value}}</div>
            </div>
          </div>
          <!-- bloc 2 -->
          <div class="row">
            <!-- adress -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.ADRESSE'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('address')?.value}}</div>
            </div>
            <!-- phone -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.PHONE'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('phone')?.value}}</div>
            </div>
            <!-- fixe -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.FIXE'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('fixe')?.value}}</div>
            </div>
            <!-- Email -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.EMAIL'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('email')?.value}}</div>
            </div>
          </div>
          <!-- bloc 3 -->
          <div class="row">
            <!-- code postal -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PP.CODE_POSTAL'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('codePostale')?.value}}</div>
            </div>
            <!-- site -->
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.WEBSITE'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('webSite')?.value}}</div>
            </div>
          </div>
        </fieldset>

        <div class="card-header ibox-bloc  d-flex justify-content-between">

          <label class="w-auto legend left-and-right"><i class="ri-play-fill"></i> {{'ACCOUNT_DETAILS.ACTIVITE'|translate}}</label>

          <app-card-toolbar [collapseTarget]="'activite'"></app-card-toolbar>
      
        </div>

        <fieldset id="activite" class="border form collapse show ">
          <!-- 1 bloc -->
          <div class="row">
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.CAPACITE_FINANC'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('capaciteFinanciere')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.SECT_ACTIVITE'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('secActivite')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.TYPE_PROD'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('typeProduit')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.HORIZ_PLACEMENT'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('horizonPlacement')?.value}}</div>
            </div>
          </div>
          <!-- 2 bloc -->
          <div class="row">
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.UNIVERS_INVT'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('produitSouhaites')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.INSTRU'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('secteurSouhaites')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.NIV_INVT'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('niveauInv')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.UNIVERS_INVT'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('produitSouhaites')?.value}}</div>
            </div>
          </div>
          <!-- 3 bloc -->
          <div class="row">
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.PROFIL_INVT'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('profilInvestissement')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.OBJ_INVT'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('objectifInvestissement')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label>{{'FIELD.COMPTE_PM.PAYS_RESIDENCE_FISCAL'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('paysResidenceFiscale')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.COMPTE_USA'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('compteBancaireUSA')?.value}}</div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.ADRESS_USA'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('adresseUSA')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.VILLE_USA'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('villeFiscaleUSA')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.ID_FISCAL_USA'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('idFiscalUSA')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.TEL_USA'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('ligneTelephoneUSA')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label >{{'FIELD.COMPTE_PM.GIIN'|translate}}</label>
              <div class="  font-weight-bold">{{accountPMFormGroup?.get('giin')?.value}}</div>
            </div>
          </div>
        </fieldset>
      </form>
      <!-- end account pm -->

      <!-- START GED -->
      <form action="">
        <div class="card-header ibox-bloc  d-flex justify-content-between">

          <label class="w-auto legend left-and-right"><i class="ri-play-fill"></i> {{'ACCOUNT_DETAILS.ATTACHEMENT'|translate}}</label>
      
          <app-card-toolbar [collapseTarget]="'docs'"></app-card-toolbar>
      
        </div>
        <fieldset id="docs" class="form border collapse show ">

          <app-attachement [accountCode]="accountCode"></app-attachement>

        </fieldset>
      </form>

      <!-- END GED -->




      <!-- START WHATCH LIST -->
      <form action="">
        <div class="card-header ibox-bloc  d-flex justify-content-between">

          <label class="w-auto legend left-and-right"><i class="ri-play-fill"></i> {{'ACCOUNT_DETAILS.WATCHLIST.TITLE'|translate}}</label>
      
          <app-card-toolbar [collapseTarget]="'whatchList'"></app-card-toolbar>
      
        </div>
      
          <div id="whatchList" class="mb-2 collapse show  ">
            <app-data-table [settings]="settings" [items]="watchlistStatusList" [enableSearch]="false"
                            [enableFilterColumn]="false"></app-data-table>
          </div>
          
        
      </form>

      <!--  END WHATCH LIST -->
      

    <!-- start tabs -->
    <div *ngIf="_hideComponent!='autre'">

      <div class="card-header ibox-bloc  d-flex justify-content-between">

        <label class="w-auto legend left-and-right"><i class="ri-play-fill"></i> Autres</label>
    
        <app-card-toolbar [collapseTarget]="'autre'"></app-card-toolbar>
    
      </div>
      <div id="autre" class="row mt-0 collapse show ">
        <div class="col-12">
            <div class="">
                <div class=" pt-0 pb-2 px-0">
                    <ul class="nav nav-tabs mb-0 .nav-justified-custom" id="myTab-1" role="tablist">
  
                        <li class="nav-item">
                            <a class="nav-link" id="opportunite-tab" data-toggle="tab" href="#opportunite" role="tab" aria-controls="opportunite" aria-selected="false">{{'ACTIVITY_CONSULTATION.OPPORTUNITE_LIST'|translate}} <span class="badge">{{opportuniteListComponent?.opportuniteList?.length}}</span> </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="contact-tab" data-toggle="tab" href="#contact" role="tab" aria-controls="contact" aria-selected="false">{{'ACTIVITY_CONSULTATION.CONTACT_LIST'|translate}} <span class="badge">{{contactListComponent?.contactsList?.length}}</span></a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link active" id="task-tab" data-toggle="tab" href="#task" role="tab" aria-controls="task" aria-selected="true">{{'ACTIVITY_CONSULTATION.TASK_LIST'|translate}}  <span  class="badge">{{taskListComponent?.taskList?.length}}</span></a>
                        </li>
  
                    </ul>
                    <div class="tab-content">
                        <div class="tab-pane fade show active" id="task" role="tabpanel" aria-labelledby="task-tab">
                            <div class="mt-0">
                                <app-task-list [filter]="taskFilter"  [globalFilter]="globalFilter"></app-task-list>
                            </div>
                        </div>
                        <div class="tab-pane fade" id="contact" role="tabpanel" aria-labelledby="contact-tab">
                            <div class="mt-0">
                                <app-contact-list [isRecap]="true" [filter]="{filterBody: {accountCode:contactFilter?.accountCode, accountType: contactFilter?.accountType}}" ></app-contact-list>
                            </div>
                        </div>
                        <div class="tab-pane fade" id="opportunite" role="tabpanel" aria-labelledby="opportunite-tab">
                            <div class="mt-0">
                                <app-opportunite-list [filter]="opportuniteFilter"  [globalFilter]="globalFilter"></app-opportunite-list>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    </div>
    
  <!-- end tabs -->
  

    </div>

  </div>

</div>

</div>

